/* Defines.h */

#define MENU_BAR_ID		128
#define APPLE_MENU_ID	128
#define FILE_MENU_ID	129
#define EDIT_MENU_ID	130

#define ABOUT_ITEM 1				/* apple menu */

#define UNDO_ITEM 1					
#define CUT_ITEM 2
#define COPY_ITEM 3
#define PASTE_ITEM 4
#define CLEAR_ITEM 6

#define READ_TAPE_ITEM	1
#define LIST_TAPE_ITEM	2
#define WRITE_TAPE_ITEM	3
#define DUMP_TAPE_ITEM	5
#define DUMP_FILE_ITEM	6
#define QUIT_ITEM		8

#define ABOUT_ID 128			


/* apple constants */

#define MIN_SLEEP 0L
#define NIL_MOUSE_REGION 0L
#define REMOVE_ALL_EVENTS 0
#define NULL_STRING "\p"
#define MOVE_TO_FRONT (WindowPtr)-1L

#define STRING 			256
#define IOFADIRECTORY	0x10
#define FILE_END		2
#define MIN_STACK		100000
#define MAX_MATCHES 30
#define MATCH_SPACE 8096
	

typedef struct
{
	Str255	name;
	short 	directory; 	
	OSType	type; 			
	OSType	creator; 		
	long	dataLength;		
	long	rsrcLength;		
	long	creationDate;		
	long	modificationDate;
	char	unused[226];
	long	checksum;
} HEADER;
			
#define BLOCKING		1024
#define BUFFER_SIZE		(BLOCKING * BLOCKSIZE)

typedef struct
{
	long 	index;
	char 	buffer[BUFFER_SIZE];
	short	write;
} BUFFER;

