/****************************************************************************
 *
 * FILE:	PasStrs.h
 * CREA:	Sven Axelsson, GU
 * MODF:	fredag 13 april 1990 @ 08.28.09
 * HIST:	90-04-13 (1.0)	First version.
 *
 ****************************************************************************/

/****************************************************************************
 Here are a number of functions I have created to emulate the C string
 handling library, but for Pascal strings. Although Pstrcpy and Pstrcat
 are the most useful, I have also included variants of most of the other
 C functionality.
 ****************************************************************************/


# define	_H_PasStrs

char		*Pstrcpy( register Str255, register Str255 );
char		*Pstrncpy( register Str255, register Str255, short );

char		*Pstrcat( register Str255, register Str255 );
char		*Pstrncat( register Str255, register Str255, short );

short 		Pstrcmp( register Str255, register Str255 );
short 		Pstrncmp( register Str255, register Str255, short );

char		*Pstrchr( register Str255, register char);
char		*Pstrrchr( register Str255, register char );

short 		Pstrspn( register Str255, register Str255 );
short 		Pstrcspn( register Str255, register Str255 );
